package com.lantone.dblayermbg.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lantone.common.dto.AbnormalLogDTO;
import com.lantone.common.vo.GetAbnormalLogVO;
import com.lantone.dblayermbg.entity.AbnormalLog;
import com.lantone.dblayermbg.mapper.AbnormalLogMapper;
import com.lantone.dblayermbg.service.AbnormalLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * <p>
 * 系统异常日志表 Service实现类
 * </p>
 */
@Service
public class AbnormalLogServiceImpl extends ServiceImpl<AbnormalLogMapper, AbnormalLog> implements AbnormalLogService {
    @Autowired
    private AbnormalLogMapper abnormalLogMapper;

    @Override
    public void addOperErrorLog(AbnormalLogDTO abnormalLogDTO) {
        abnormalLogMapper.addOperErrorLog(abnormalLogDTO);
    }

    @Override
    public IPage<AbnormalLogDTO> getAbnormalLog(GetAbnormalLogVO getAbnormalLogVO) {
        return  abnormalLogMapper.getAbnormalLog(getAbnormalLogVO);
    }

    public List<String> getAbnormalLogWayAndIp(GetAbnormalLogVO getAbnormalLogVO) {
        return  abnormalLogMapper.getAbnormalLogWayAndIp(getAbnormalLogVO);
    }
}