package com.lantone.dblayermbg.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lantone.common.dto.LoginLogDTO;
import com.lantone.common.vo.GetLoginLogVO;
import com.lantone.dblayermbg.entity.LoginLog;
import com.lantone.dblayermbg.mapper.LoginLogMapper;
import com.lantone.dblayermbg.service.LoginLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * <p>
 * 系统登录日志表 Service实现类
 * </p>
 */
@Service
public class LoginLogServiceImpl extends ServiceImpl<LoginLogMapper, LoginLog> implements LoginLogService {
    @Autowired
    private LoginLogMapper loginLogMapper;

    @Override
    public void addLoginLog(LoginLogDTO loginLogDTO) {
        loginLogMapper.addLoginLog(loginLogDTO);
    }

    @Override
    public IPage<LoginLogDTO> getLoginLog(GetLoginLogVO getLoginLogVO) {
        return loginLogMapper.getLoginLog(getLoginLogVO);
    }

    @Override
    public List<String> getLoginLogNameAndIp(GetLoginLogVO getLoginLogVO) {
        return loginLogMapper.getLoginLogNameAndIp(getLoginLogVO);
    }
}