package com.lantone.dblayermbg.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lantone.common.dto.OperationLogDTO;
import com.lantone.common.vo.GetOperationLogVO;
import com.lantone.dblayermbg.entity.OperationLog;
import com.lantone.dblayermbg.mapper.OperationLogMapper;
import com.lantone.dblayermbg.service.OperationLogService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.List;
import java.util.stream.Collectors;

/**
 * <p>
 * 系统操作日志表 Service实现类
 * </p>
 */
@Service
public class OperationLogServiceImpl extends ServiceImpl<OperationLogMapper, OperationLog> implements OperationLogService {
    @Autowired
    private OperationLogMapper operationLogMapper;

    @Override
    public void addOperLog(OperationLogDTO operationLog) {
        operationLogMapper.addOperLog(operationLog);
    }

    @Override
    public IPage<OperationLogDTO> getOperationLog(GetOperationLogVO getOperationLogVO) {
        return operationLogMapper.getOperationLog(getOperationLogVO);
    }

    public List<String> getOperationLogName(String operationName) {
        return this.lambdaQuery()
                .like(StringUtils.isNotBlank(operationName), OperationLog::getOperationName, operationName)
                .select(OperationLog::getOperationName)
                .list().stream().map(OperationLog::getOperationName).collect(Collectors.toList());
    }
}